curl --request POST \
--url https://api.paywise.de/v1/debtors/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"addresses": [
{
"street": "<string>",
"zip": "<string>",
"city": "<string>"
}
],
"your_reference": "<string>",
"communication_channels": [
{
"value": "<string>"
}
],
"bank_accounts": [
{
"iban": "<string>",
"bic": "<string>"
}
],
"metadata": [
{
"value": "<string>"
}
],
"events": [
{
"title": "<string>",
"occurence": "2023-11-07T05:31:56Z",
"your_reference": "<string>",
"description": "<string>",
"location": "<string>"
}
]
}
'import requests
url = "https://api.paywise.de/v1/debtors/"
payload = {
"addresses": [
{
"street": "<string>",
"zip": "<string>",
"city": "<string>"
}
],
"your_reference": "<string>",
"communication_channels": [{ "value": "<string>" }],
"bank_accounts": [
{
"iban": "<string>",
"bic": "<string>"
}
],
"metadata": [{ "value": "<string>" }],
"events": [
{
"title": "<string>",
"occurence": "2023-11-07T05:31:56Z",
"your_reference": "<string>",
"description": "<string>",
"location": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
addresses: [{street: '<string>', zip: '<string>', city: '<string>'}],
your_reference: '<string>',
communication_channels: [{value: '<string>'}],
bank_accounts: [{iban: '<string>', bic: '<string>'}],
metadata: [{value: '<string>'}],
events: [
{
title: '<string>',
occurence: '2023-11-07T05:31:56Z',
your_reference: '<string>',
description: '<string>',
location: '<string>'
}
]
})
};
fetch('https://api.paywise.de/v1/debtors/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"href": "<string>",
"addresses": [
{
"street": "<string>",
"zip": "<string>",
"city": "<string>"
}
],
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"id": "<string>",
"your_reference": "<string>",
"person": {
"first_name": "<string>",
"last_name": "<string>",
"salutation": "<string>",
"birth_date": "2023-12-25",
"death_date": "2023-12-25"
},
"organization": {
"name": "<string>"
},
"communication_channels": [
{
"value": "<string>"
}
],
"bank_accounts": [
{
"iban": "<string>",
"bic": "<string>"
}
],
"metadata": [
{
"value": "<string>"
}
],
"events": [
{
"title": "<string>",
"occurence": "2023-11-07T05:31:56Z",
"your_reference": "<string>",
"description": "<string>",
"location": "<string>"
}
]
}Create a debtor
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Tell us if the debtor is either a consumer or a business/other organization. Single-person-business debtors must have the value business
consumer- Verbraucherbusiness- Unternehmer
consumer, business Show child attributes
Show child attributes
255If the debtor is a natural person or a single-person-business please provide this object. In case of a single-person-business, please set acting_as to business
Show child attributes
Show child attributes
If the debtor is an organization (no single-person-business), please provide this object. For single-person-business debtors see the person field.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
Tell us if the debtor is either a consumer or a business/other organization. Single-person-business debtors must have the value business
consumer- Verbraucherbusiness- Unternehmer
consumer, business Show child attributes
Show child attributes
255If the debtor is a natural person or a single-person-business please provide this object. In case of a single-person-business, please set acting_as to business
Show child attributes
Show child attributes
If the debtor is an organization (no single-person-business), please provide this object. For single-person-business debtors see the person field.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
